package com.mortals.xhx.module.attendance.model;

import java.util.List;
import com.mortals.xhx.module.attendance.model.AttendanceGroupResponsibleEntity;
/**
* 考勤组负责人员信息查询对象
*
* @author zxfei
* @date 2023-04-08
*/
public class AttendanceGroupResponsibleQuery extends AttendanceGroupResponsibleEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 考勤组 */
    private Long groupIdStart;

    /** 结束 考勤组 */
    private Long groupIdEnd;

    /** 增加 考勤组 */
    private Long groupIdIncrement;

    /** 考勤组列表 */
    private List <Long> groupIdList;

    /** 考勤组排除列表 */
    private List <Long> groupIdNotList;

    /** 考勤组名称 */
    private List<String> groupNameList;

    /** 考勤组名称排除列表 */
    private List <String> groupNameNotList;
    /** 开始 负责人ID */
    private Long responsibleIdStart;

    /** 结束 负责人ID */
    private Long responsibleIdEnd;

    /** 增加 负责人ID */
    private Long responsibleIdIncrement;

    /** 负责人ID列表 */
    private List <Long> responsibleIdList;

    /** 负责人ID排除列表 */
    private List <Long> responsibleIdNotList;

    /** 负责人名称 */
    private List<String> responsibleNameList;

    /** 负责人名称排除列表 */
    private List <String> responsibleNameNotList;
    /** 开始 负责人类型(0. 主负责人,1. 子负责人) */
    private Integer responsibleTypeStart;

    /** 结束 负责人类型(0. 主负责人,1. 子负责人) */
    private Integer responsibleTypeEnd;

    /** 增加 负责人类型(0. 主负责人,1. 子负责人) */
    private Integer responsibleTypeIncrement;

    /** 负责人类型(0. 主负责人,1. 子负责人)列表 */
    private List <Integer> responsibleTypeList;

    /** 负责人类型(0. 主负责人,1. 子负责人)排除列表 */
    private List <Integer> responsibleTypeNotList;

    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<AttendanceGroupResponsibleQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<AttendanceGroupResponsibleQuery> andConditionList;

    public AttendanceGroupResponsibleQuery(){}

    /**
    * 获取 开始 序号，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 开始 考勤组
    * @return groupIdStart
    */
    public Long getGroupIdStart(){
        return this.groupIdStart;
    }

    /**
    * 设置 开始 考勤组
    * @param groupIdStart
    */
    public void setGroupIdStart(Long groupIdStart){
        this.groupIdStart = groupIdStart;
    }

    /**
    * 获取 结束 考勤组
    * @return $groupIdEnd
    */
    public Long getGroupIdEnd(){
        return this.groupIdEnd;
    }

    /**
    * 设置 结束 考勤组
    * @param groupIdEnd
    */
    public void setGroupIdEnd(Long groupIdEnd){
        this.groupIdEnd = groupIdEnd;
    }

    /**
    * 获取 增加 考勤组
    * @return groupIdIncrement
    */
    public Long getGroupIdIncrement(){
        return this.groupIdIncrement;
    }

    /**
    * 设置 增加 考勤组
    * @param groupIdIncrement
    */
    public void setGroupIdIncrement(Long groupIdIncrement){
        this.groupIdIncrement = groupIdIncrement;
    }

    /**
    * 获取 考勤组
    * @return groupIdList
    */
    public List<Long> getGroupIdList(){
        return this.groupIdList;
    }

    /**
    * 设置 考勤组
    * @param groupIdList
    */
    public void setGroupIdList(List<Long> groupIdList){
        this.groupIdList = groupIdList;
    }

    /**
    * 获取 考勤组
    * @return groupIdNotList
    */
    public List<Long> getGroupIdNotList(){
        return this.groupIdNotList;
    }

    /**
    * 设置 考勤组
    * @param groupIdNotList
    */
    public void setGroupIdNotList(List<Long> groupIdNotList){
        this.groupIdNotList = groupIdNotList;
    }


    /**
    * 获取 考勤组名称
    * @return groupNameList
    */
    public List<String> getGroupNameList(){
        return this.groupNameList;
    }

    /**
    * 设置 考勤组名称
    * @param groupNameList
    */
    public void setGroupNameList(List<String> groupNameList){
        this.groupNameList = groupNameList;
    }

    /**
    * 获取 考勤组名称
    * @return groupNameNotList
    */
    public List<String> getGroupNameNotList(){
        return this.groupNameNotList;
    }

    /**
    * 设置 考勤组名称
    * @param groupNameNotList
    */
    public void setGroupNameNotList(List<String> groupNameNotList){
        this.groupNameNotList = groupNameNotList;
    }

    /**
    * 获取 开始 负责人ID
    * @return responsibleIdStart
    */
    public Long getResponsibleIdStart(){
        return this.responsibleIdStart;
    }

    /**
    * 设置 开始 负责人ID
    * @param responsibleIdStart
    */
    public void setResponsibleIdStart(Long responsibleIdStart){
        this.responsibleIdStart = responsibleIdStart;
    }

    /**
    * 获取 结束 负责人ID
    * @return $responsibleIdEnd
    */
    public Long getResponsibleIdEnd(){
        return this.responsibleIdEnd;
    }

    /**
    * 设置 结束 负责人ID
    * @param responsibleIdEnd
    */
    public void setResponsibleIdEnd(Long responsibleIdEnd){
        this.responsibleIdEnd = responsibleIdEnd;
    }

    /**
    * 获取 增加 负责人ID
    * @return responsibleIdIncrement
    */
    public Long getResponsibleIdIncrement(){
        return this.responsibleIdIncrement;
    }

    /**
    * 设置 增加 负责人ID
    * @param responsibleIdIncrement
    */
    public void setResponsibleIdIncrement(Long responsibleIdIncrement){
        this.responsibleIdIncrement = responsibleIdIncrement;
    }

    /**
    * 获取 负责人ID
    * @return responsibleIdList
    */
    public List<Long> getResponsibleIdList(){
        return this.responsibleIdList;
    }

    /**
    * 设置 负责人ID
    * @param responsibleIdList
    */
    public void setResponsibleIdList(List<Long> responsibleIdList){
        this.responsibleIdList = responsibleIdList;
    }

    /**
    * 获取 负责人ID
    * @return responsibleIdNotList
    */
    public List<Long> getResponsibleIdNotList(){
        return this.responsibleIdNotList;
    }

    /**
    * 设置 负责人ID
    * @param responsibleIdNotList
    */
    public void setResponsibleIdNotList(List<Long> responsibleIdNotList){
        this.responsibleIdNotList = responsibleIdNotList;
    }


    /**
    * 获取 负责人名称
    * @return responsibleNameList
    */
    public List<String> getResponsibleNameList(){
        return this.responsibleNameList;
    }

    /**
    * 设置 负责人名称
    * @param responsibleNameList
    */
    public void setResponsibleNameList(List<String> responsibleNameList){
        this.responsibleNameList = responsibleNameList;
    }

    /**
    * 获取 负责人名称
    * @return responsibleNameNotList
    */
    public List<String> getResponsibleNameNotList(){
        return this.responsibleNameNotList;
    }

    /**
    * 设置 负责人名称
    * @param responsibleNameNotList
    */
    public void setResponsibleNameNotList(List<String> responsibleNameNotList){
        this.responsibleNameNotList = responsibleNameNotList;
    }

    /**
    * 获取 开始 负责人类型(0. 主负责人,1. 子负责人)
    * @return responsibleTypeStart
    */
    public Integer getResponsibleTypeStart(){
        return this.responsibleTypeStart;
    }

    /**
    * 设置 开始 负责人类型(0. 主负责人,1. 子负责人)
    * @param responsibleTypeStart
    */
    public void setResponsibleTypeStart(Integer responsibleTypeStart){
        this.responsibleTypeStart = responsibleTypeStart;
    }

    /**
    * 获取 结束 负责人类型(0. 主负责人,1. 子负责人)
    * @return $responsibleTypeEnd
    */
    public Integer getResponsibleTypeEnd(){
        return this.responsibleTypeEnd;
    }

    /**
    * 设置 结束 负责人类型(0. 主负责人,1. 子负责人)
    * @param responsibleTypeEnd
    */
    public void setResponsibleTypeEnd(Integer responsibleTypeEnd){
        this.responsibleTypeEnd = responsibleTypeEnd;
    }

    /**
    * 获取 增加 负责人类型(0. 主负责人,1. 子负责人)
    * @return responsibleTypeIncrement
    */
    public Integer getResponsibleTypeIncrement(){
        return this.responsibleTypeIncrement;
    }

    /**
    * 设置 增加 负责人类型(0. 主负责人,1. 子负责人)
    * @param responsibleTypeIncrement
    */
    public void setResponsibleTypeIncrement(Integer responsibleTypeIncrement){
        this.responsibleTypeIncrement = responsibleTypeIncrement;
    }

    /**
    * 获取 负责人类型(0. 主负责人,1. 子负责人)
    * @return responsibleTypeList
    */
    public List<Integer> getResponsibleTypeList(){
        return this.responsibleTypeList;
    }

    /**
    * 设置 负责人类型(0. 主负责人,1. 子负责人)
    * @param responsibleTypeList
    */
    public void setResponsibleTypeList(List<Integer> responsibleTypeList){
        this.responsibleTypeList = responsibleTypeList;
    }

    /**
    * 获取 负责人类型(0. 主负责人,1. 子负责人)
    * @return responsibleTypeNotList
    */
    public List<Integer> getResponsibleTypeNotList(){
        return this.responsibleTypeNotList;
    }

    /**
    * 设置 负责人类型(0. 主负责人,1. 子负责人)
    * @param responsibleTypeNotList
    */
    public void setResponsibleTypeNotList(List<Integer> responsibleTypeNotList){
        this.responsibleTypeNotList = responsibleTypeNotList;
    }


    /**
    * 获取 备注
    * @return remarkList
    */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
    * 获取 备注
    * @return remarkNotList
    */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
    * 设置 备注
    * @param remarkNotList
    */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  序号，主键，自增长
    * @param id
    */
    public AttendanceGroupResponsibleQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public AttendanceGroupResponsibleQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public AttendanceGroupResponsibleQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public AttendanceGroupResponsibleQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public AttendanceGroupResponsibleQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 序号，主键，自增长
        * @param idNotList
        */
        public AttendanceGroupResponsibleQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }

    /**
    * 设置  考勤组
    * @param groupId
    */
    public AttendanceGroupResponsibleQuery groupId(Long groupId){
	    setGroupId(groupId);
		return this;
    }
	
	 /**
    * 设置 开始 考勤组
    * @param groupIdStart
    */
    public AttendanceGroupResponsibleQuery groupIdStart(Long groupIdStart){
		this.groupIdStart = groupIdStart;
		return this;
    }

    /**
    * 设置 结束 考勤组
    * @param groupIdEnd
    */
    public AttendanceGroupResponsibleQuery groupIdEnd(Long groupIdEnd){
		this.groupIdEnd = groupIdEnd;
		return this;
    }

    /**
    * 设置 增加 考勤组
    * @param groupIdIncrement
    */
    public AttendanceGroupResponsibleQuery groupIdIncrement(Long groupIdIncrement){
		this.groupIdIncrement = groupIdIncrement;
		return this;
    }

    /**
    * 设置 考勤组
    * @param groupIdList
    */
    public AttendanceGroupResponsibleQuery groupIdList(List<Long> groupIdList){
        this.groupIdList = groupIdList;
		return this;
        }

        /**
        * 设置 考勤组
        * @param groupIdNotList
        */
        public AttendanceGroupResponsibleQuery groupIdNotList(List<Long> groupIdNotList){
        this.groupIdNotList = groupIdNotList;
        return this;
        }


	/**
    * 设置 考勤组名称
    * @param groupName
    */
    public AttendanceGroupResponsibleQuery groupName(String groupName){
        setGroupName(groupName);
		return this;
    }

    /**
    * 设置 考勤组名称
    * @param groupNameList
    */
    public AttendanceGroupResponsibleQuery groupNameList(List<String> groupNameList){
        this.groupNameList = groupNameList;
		return this;
    }

    /**
    * 设置  负责人ID
    * @param responsibleId
    */
    public AttendanceGroupResponsibleQuery responsibleId(Long responsibleId){
	    setResponsibleId(responsibleId);
		return this;
    }
	
	 /**
    * 设置 开始 负责人ID
    * @param responsibleIdStart
    */
    public AttendanceGroupResponsibleQuery responsibleIdStart(Long responsibleIdStart){
		this.responsibleIdStart = responsibleIdStart;
		return this;
    }

    /**
    * 设置 结束 负责人ID
    * @param responsibleIdEnd
    */
    public AttendanceGroupResponsibleQuery responsibleIdEnd(Long responsibleIdEnd){
		this.responsibleIdEnd = responsibleIdEnd;
		return this;
    }

    /**
    * 设置 增加 负责人ID
    * @param responsibleIdIncrement
    */
    public AttendanceGroupResponsibleQuery responsibleIdIncrement(Long responsibleIdIncrement){
		this.responsibleIdIncrement = responsibleIdIncrement;
		return this;
    }

    /**
    * 设置 负责人ID
    * @param responsibleIdList
    */
    public AttendanceGroupResponsibleQuery responsibleIdList(List<Long> responsibleIdList){
        this.responsibleIdList = responsibleIdList;
		return this;
        }

        /**
        * 设置 负责人ID
        * @param responsibleIdNotList
        */
        public AttendanceGroupResponsibleQuery responsibleIdNotList(List<Long> responsibleIdNotList){
        this.responsibleIdNotList = responsibleIdNotList;
        return this;
        }


	/**
    * 设置 负责人名称
    * @param responsibleName
    */
    public AttendanceGroupResponsibleQuery responsibleName(String responsibleName){
        setResponsibleName(responsibleName);
		return this;
    }

    /**
    * 设置 负责人名称
    * @param responsibleNameList
    */
    public AttendanceGroupResponsibleQuery responsibleNameList(List<String> responsibleNameList){
        this.responsibleNameList = responsibleNameList;
		return this;
    }

    /**
    * 设置  负责人类型(0. 主负责人,1. 子负责人)
    * @param responsibleType
    */
    public AttendanceGroupResponsibleQuery responsibleType(Integer responsibleType){
	    setResponsibleType(responsibleType);
		return this;
    }
	
	 /**
    * 设置 开始 负责人类型(0. 主负责人,1. 子负责人)
    * @param responsibleTypeStart
    */
    public AttendanceGroupResponsibleQuery responsibleTypeStart(Integer responsibleTypeStart){
		this.responsibleTypeStart = responsibleTypeStart;
		return this;
    }

    /**
    * 设置 结束 负责人类型(0. 主负责人,1. 子负责人)
    * @param responsibleTypeEnd
    */
    public AttendanceGroupResponsibleQuery responsibleTypeEnd(Integer responsibleTypeEnd){
		this.responsibleTypeEnd = responsibleTypeEnd;
		return this;
    }

    /**
    * 设置 增加 负责人类型(0. 主负责人,1. 子负责人)
    * @param responsibleTypeIncrement
    */
    public AttendanceGroupResponsibleQuery responsibleTypeIncrement(Integer responsibleTypeIncrement){
		this.responsibleTypeIncrement = responsibleTypeIncrement;
		return this;
    }

    /**
    * 设置 负责人类型(0. 主负责人,1. 子负责人)
    * @param responsibleTypeList
    */
    public AttendanceGroupResponsibleQuery responsibleTypeList(List<Integer> responsibleTypeList){
        this.responsibleTypeList = responsibleTypeList;
		return this;
        }

        /**
        * 设置 负责人类型(0. 主负责人,1. 子负责人)
        * @param responsibleTypeNotList
        */
        public AttendanceGroupResponsibleQuery responsibleTypeNotList(List<Integer> responsibleTypeNotList){
        this.responsibleTypeNotList = responsibleTypeNotList;
        return this;
        }


	/**
    * 设置 备注
    * @param remark
    */
    public AttendanceGroupResponsibleQuery remark(String remark){
        setRemark(remark);
		return this;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public AttendanceGroupResponsibleQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
		return this;
    }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public AttendanceGroupResponsibleQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public AttendanceGroupResponsibleQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public AttendanceGroupResponsibleQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public AttendanceGroupResponsibleQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public AttendanceGroupResponsibleQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public AttendanceGroupResponsibleQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


    /**
    * 设置  更新用户
    * @param updateUserId
    */
    public AttendanceGroupResponsibleQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public AttendanceGroupResponsibleQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public AttendanceGroupResponsibleQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public AttendanceGroupResponsibleQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public AttendanceGroupResponsibleQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 更新用户
        * @param updateUserIdNotList
        */
        public AttendanceGroupResponsibleQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<AttendanceGroupResponsibleQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<AttendanceGroupResponsibleQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<AttendanceGroupResponsibleQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<AttendanceGroupResponsibleQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}